IARRAY_CREATE_FROM_TEMPLATE2(3)

EXPERIMENTAL_FUNC
iarray_create_from_template2 - Create an Intelligent Array from a template array.

SYNOPSIS
#include <karma_iarray.h>

iarray iarray_create_from_template2

(iarray template_arr, unsigned int elem_type, flag copy_world_coords, flag copy_names, flag copy_aux_info, flag clear)

DESCRIPTION
This routine will create an Intelligent Array of a specified type using an existing Intelligent Array as the template for the size, dimensionality and other attributes.

template_arr
    The template Intelligent Array.

elem_type
    The element type for the new Intelligent Array.

copy_world_coords
    If TRUE, the world co-ordinates for each dimension in the template array are copied, otherwise the defaults are used.

copy_names
    If TRUE, the dimension names and the value name of the template array are copied, else the defaults are used.

copy_aux_info
    If TRUE, auxilary information (attachments) in the template array is copied to the new array.

clear
    If TRUE, the array is filled with zeros, otherwise the contents will be random.

RETURN VALUE
An Intelligent Array on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/